#pragma once
#include <vector>
#include "Mesh.h"
#include "Buffer.h"
#include "Material.h"
#include "VertexArray.h"
#include "Scene.h"


class Renderable  : public SceneNode {
public:
	/*
	* NOTE: Should combine into a Mesh!!
	*/
	Buffer vertexBuffer;
	Buffer elementBuffer;
	VertexArray VAO;


	Material* material;

	
	Shader* shader;

	~Renderable();

	static Renderable* Load();
	void Draw();

private:
	std::vector<BarinkEngine::Mesh> meshes;
	Renderable();
};